<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: pyspottedunipd.ngrams.cli Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="namespaces.html"><span>Namespace&#160;List</span></a></li>
      <li><a href="namespacemembers.html"><span>Namespace&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('namespacepyspottedunipd_1_1ngrams_1_1cli.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">pyspottedunipd.ngrams.cli Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a93226f9e35fcb939cc33c5864e73ee12"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1ngrams_1_1cli.html#a93226f9e35fcb939cc33c5864e73ee12">create_args</a> ()</td></tr>
<tr class="separator:a93226f9e35fcb939cc33c5864e73ee12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4583a68b07a867ae308d93a462257608"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1ngrams_1_1cli.html#a4583a68b07a867ae308d93a462257608">parse_args</a> (parser)</td></tr>
<tr class="separator:a4583a68b07a867ae308d93a462257608"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aecbb0b1c1a6d1e920d2e7bdd33463d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1ngrams_1_1cli.html#a8aecbb0b1c1a6d1e920d2e7bdd33463d">check_args</a> (path_in, algorithm, words)</td></tr>
<tr class="separator:a8aecbb0b1c1a6d1e920d2e7bdd33463d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad37fd2112de893a33f45b9571bce22a3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1ngrams_1_1cli.html#ad37fd2112de893a33f45b9571bce22a3">main</a> ()</td></tr>
<tr class="separator:ad37fd2112de893a33f45b9571bce22a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa65b245722bbedc998f073424796b7df"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1ngrams_1_1cli.html#aa65b245722bbedc998f073424796b7df">WORDS_TO_GENERATE</a> = 100</td></tr>
<tr class="separator:aa65b245722bbedc998f073424796b7df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af60fcd354c98b1e8a04128927c492fb3"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyspottedunipd_1_1ngrams_1_1cli.html#af60fcd354c98b1e8a04128927c492fb3">AVAILABLE_ALGORITHMS</a> = [&quot;ngram&quot;, &quot;markov&quot;]</td></tr>
<tr class="separator:af60fcd354c98b1e8a04128927c492fb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a8aecbb0b1c1a6d1e920d2e7bdd33463d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.cli.check_args </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>path_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>algorithm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>words</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param path_in: str
    Path to input file
:param algorithm: str
    Algorithm to use in [ngram, markov]
:param words: float
    Number of words to generate
:return: bool
    True iff args are correct
</pre> 
<p>Definition at line <a class="el" href="ngrams_2cli_8py_source.html#l00055">55</a> of file <a class="el" href="ngrams_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="a93226f9e35fcb939cc33c5864e73ee12"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.cli.create_args </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:return: ArgumentParser
    Parser that handles cmd arguments.
</pre> 
<p>Definition at line <a class="el" href="ngrams_2cli_8py_source.html#l00028">28</a> of file <a class="el" href="ngrams_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="ad37fd2112de893a33f45b9571bce22a3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.cli.main </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="ngrams_2cli_8py_source.html#l00075">75</a> of file <a class="el" href="ngrams_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="a4583a68b07a867ae308d93a462257608"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.ngrams.cli.parse_args </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parser</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param parser: ArgumentParser
    Object that holds cmd arguments.
:return: tuple
    Values of arguments.
</pre> 
<p>Definition at line <a class="el" href="ngrams_2cli_8py_source.html#l00042">42</a> of file <a class="el" href="ngrams_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="af60fcd354c98b1e8a04128927c492fb3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">list pyspottedunipd.ngrams.cli.AVAILABLE_ALGORITHMS = [&quot;ngram&quot;, &quot;markov&quot;]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="ngrams_2cli_8py_source.html#l00025">25</a> of file <a class="el" href="ngrams_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
<a class="anchor" id="aa65b245722bbedc998f073424796b7df"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int pyspottedunipd.ngrams.cli.WORDS_TO_GENERATE = 100</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="ngrams_2cli_8py_source.html#l00024">24</a> of file <a class="el" href="ngrams_2cli_8py_source.html">cli.py</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacepyspottedunipd.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1ngrams.html">ngrams</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1ngrams_1_1cli.html">cli</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
